## variantslib 113.33.03

=== Makefile ===
# Generic Makefile for oasis project

SETUP := setup.exe
NAME := variantslib
PREFIX = $(shell grep ^prefix= setup.data | cut -d\" -f 2)

# Default rule
default: build

setup.exe: _oasis setup.ml
	ocamlfind ocamlopt -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup.ml || \
	  ocamlfind ocamlc -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup.ml || true
	for f in setup.*; do [ $$f = $@ -o $$f = setup.ml ] || rm -f $$f; done

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)
	$(MAKE) $(NAME).install

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)
	$(MAKE) $(NAME).install

$(NAME).install: install.ml setup.log setup.data
	ocaml -I "$(OCAML_TOPLEVEL_PATH)" install.ml

install: $(NAME).install
	opam-installer -i --prefix $(PREFIX) $(NAME).install

uninstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install

reinstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install &> /dev/null || true
	opam-installer -i --prefix $(PREFIX) $(NAME).install

bin.tar.gz: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	tar czf bin.tar.gz -C _install .
	rm -rf _install

bin.lzo: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	cd _install && lzop -1 -P -o ../bin.lzo `find . -type f`
	rm -rf _install

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

=== src/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES = variant.ml 
LIB_PACK_NAME = variantslib
INCDIRS = +camlp4
PACKS = type-conv
RESULT = variantslib

TRASH = \
  pa_variants_conv.cmi pa_variants_conv.cmo pa_variants_conv.annot \

all: \
	pack-byte-code pack-native-code \
	variantslib.cma varianslib.cmxa \
	pa_variants_conv.cmi pa_variants_conv.cmo

#toplevel-library:	byte-code-library \
#	$(OCAMLC) -a -o sexplib_top.cma sexplib.cma install_printers.cmo

LIBINSTALL_FILES = \
  variantslib.cmi variantslib.cma variantslib.cmxa $(wildcard variantslib.a) \
  $(wildcard variantslib.lib) pa_variants_conv.cmi pa_variants_conv.cmo

install:	libinstall
uninstall:	libuninstall

clean::	clean-doc

-include $(OCAMLMAKEFILE)

## variantslib 0.13.0

=== debian/changelog ===
variantslib (1:0.13.0-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:35:58 +0000

variantslib (1:0.13.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - bump epoch to cope with new upstream versioning scheme
  * Update Homepage and debian/watch
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Jan 2020 16:26:18 +0100

variantslib (113.33.03-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * Add Breaks/Replaces libvariants-camlp4-dev (Closes: #834075)
  * Move ocaml-findlib to recommends
  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Wed, 17 Aug 2016 14:12:30 +0200

variantslib (113.33.03-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - no more a camlp4 syntax extension
    - rename libvariants-camlp4-dev into libvariantslib-ocaml-dev
    - add libvariantslib-ocaml
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 Jul 2016 17:19:03 +0200

variantslib (109.15.03-2) unstable; urgency=medium

  * Generate API documentation using dh_ocamldoc(1)

 -- Hilko Bengen <bengen@debian.org>  Tue, 05 Jan 2016 17:29:38 +0100

variantslib (109.15.03-1) unstable; urgency=medium

  * Initial release (Closes: #717755)

 -- Hilko Bengen <bengen@debian.org>  Wed, 24 Sep 2014 23:30:45 +0200

=== debian/control ===
Source: variantslib
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 ocaml-nox,
 ocaml-findlib,
 ocaml-dune,
 libbase-ocaml-dev,
 dh-ocaml
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/janestreet/variantslib
Vcs-Browser: https://salsa.debian.org/ocaml-team/variantslib
Vcs-Git: https://salsa.debian.org/ocaml-team/variantslib.git

Package: libvariantslib-ocaml-dev
Provides:
 ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ocaml-findlib
Breaks: libvariants-camlp4-dev
Replaces: libvariants-camlp4-dev
Description: OCaml syntax extension for supporting variants as first class values (dev)
 Variantslib generates code to support variants as first class by
 adding "with variants" suffix to variants definition, e.g.,
 .
 type t =
 | First
 | Second
 | Third
 .
 with variants
 .
 This package contains development files.

Package: libvariantslib-ocaml
Provides:
 ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: libvariants-camlp4-dev
Replaces: libvariants-camlp4-dev
Description: OCaml syntax extension for supporting variants as first class values (runtime)
 Variantslib generates code to support variants as first class by
 adding "with variants" suffix to variants definition, e.g.,
 .
 type t =
 | First
 | Second
 | Third
 .
 with variants
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR := $(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p variantslib

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/variantslib/LICENSE.md

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3

opts="uversionmangle=s/-rc/~rc/" \
    https://github.com/janestreet/variantslib/releases .*/archive/v(.*)\.tar\.gz

## variantslib 0.14.0

=== debian/changelog ===
variantslib (1:0.14.0-1build3) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 11:16:10 +0100

variantslib (1:0.14.0-1build2) jammy; urgency=medium

  * No-change rebuild for current ocaml ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 02:29:53 +0000

variantslib (1:0.14.0-1build1) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Nov 2020 15:15:17 +0100

variantslib (1:0.14.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Sat, 25 Jul 2020 08:53:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml-nox,
  ocaml-findlib,
  ocaml-dune,
- libbase-ocaml-dev,
+ libbase-ocaml-dev (>= 0.14),
  dh-ocaml
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

## variantslib 0.15.0

=== debian/changelog ===
variantslib (1:0.15.0-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Feb 2023 13:06:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: variantslib
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends:
  debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,4 @@
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/variantslib/LICENSE.md
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:

## variantslib 0.16.0

=== debian/changelog ===
variantslib (1:0.16.0-2build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 00:17:14 +0100

variantslib (1:0.16.0-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:34:19 +0200

variantslib (1:0.16.0-1) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.
  * Fix compilation with recent dune.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 04 Jul 2023 09:30:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-findlib,
  ocaml-dune,
  libbase-ocaml-dev (>= 0.14),
- dh-ocaml
+ dh-ocaml (>= 1.2)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/janestreet/variantslib

=== debian/watch ===
version=4

opts="uversionmangle=s/-rc/~rc/" \
    https://github.com/janestreet/variantslib/tags .*/v([0-9.]*)\.tar\.gz

## variantslib 0.17.0

=== debian/changelog ===
variantslib (1:0.17.0-1build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 21:19:14 +0200

variantslib (1:0.17.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 14:06:50 +0100

variantslib (1:0.17.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 28 Aug 2024 12:54:30 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  ocaml,
  ocaml-findlib,
  ocaml-dune,
- libbase-ocaml-dev (>= 0.14),
+ libbase-ocaml-dev (>= 0.17),
  dh-ocaml (>= 1.2)
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/janestreet/variantslib
 Vcs-Browser: https://salsa.debian.org/ocaml-team/variantslib

## variantslib 109.15.03

=== debian/control ===
Source: variantslib
Section: ocaml
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox (>= 4.00.0),
 ocaml-findlib (>= 1.3.2),
 camlp4,
 camlp4-extra,
 libtype-conv-camlp4-dev (>= 109.28.00),
 dh-ocaml (>= 0.9~)
Standards-Version: 3.9.5
Homepage: http://janestreet.github.io/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/variantslib.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/variantslib.git

Package: libvariants-camlp4-dev
Provides:
 libvariantslib-ocaml-dev,
 ${ocaml:Provides}
Architecture: any
Depends:
 ocaml-findlib,
 camlp4,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: OCaml syntax extension for supporting variants as first class values
 Variantslib generates code to support variants as first class by
 adding "with variants" suffix to variants definition, e.g.,
 .
 type t =
 | First
 | Second
 | Third
 .
 with variants

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/libvariants-camlp4-dev
OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libvariants-camlp4-dev/html/api

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

=== debian/watch ===
version=3

opts="uversionmangle=s/-rc/~rc/" \
    https://github.com/janestreet/variantslib/releases .*/(.*)\.tar\.gz

## variantslib 113.33.03

=== debian/control ===
Source: variantslib
Section: ocaml
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox (>= 4.00.0),
 ocaml-findlib (>= 1.3.2),
 oasis,
 opam,
 libjs-build-tools-ocaml-dev,
 libfindlib-ocaml-dev,
 dh-ocaml (>= 0.9~)
Standards-Version: 3.9.8
Homepage: http://janestreet.github.io/
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/variantslib.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/variantslib.git

Package: libvariantslib-ocaml-dev
Provides:
 ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ocaml-findlib
Breaks: libvariants-camlp4-dev
Replaces: libvariants-camlp4-dev
Description: OCaml syntax extension for supporting variants as first class values (dev)
 Variantslib generates code to support variants as first class by
 adding "with variants" suffix to variants definition, e.g.,
 .
 type t =
 | First
 | Second
 | Third
 .
 with variants
 .
 This package contains development files.

Package: libvariantslib-ocaml
Provides:
 ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: libvariants-camlp4-dev
Replaces: libvariants-camlp4-dev
Description: OCaml syntax extension for supporting variants as first class values (runtime)
 Variantslib generates code to support variants as first class by
 adding "with variants" suffix to variants definition, e.g.,
 .
 type t =
 | First
 | Second
 | Third
 .
 with variants
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_install:
	opam-installer --prefix=debian/tmp --libdir=.$(OCAML_STDLIB_DIR) variantslib.install

override_dh_install:
	dh_install --fail-missing
